<div class="gameFilter">

  <h2>Game list filter : Filtrer une liste de jeu</h2>
  {{ form | json }}<br><br>
  <form (submit)="onSubmit($event)">
  
    <input (change)="onChange('nameGame', $event.target.value)" type="text" id="nameGame" name="nameGame" value="" placeholder="Nom du jeu" autofocus/><br><br>
  
    <select id="typeGame" (change)="onChange('typeGame', $event.target.value)">
        <option *ngFor="let gameType of gamesType; index as i">{{gameType}}</option>
    </select><br><br>
  
    <input (change)="onChange('editorGame', $event.target.value)" type="text" id="editorGame" name="editorGame" value="" placeholder="Editeur du jeu"/><br><br>
  
    <button type="submit" style="color: #62CD3D;">Filtrer</button>&nbsp;&nbsp;
  
    <button type="reset" style="color: #D85141;" (click)="onReset()">RAZ</button>

  </form>
</div>
